SDL_SetGamepadLED(3)

NAME
SDL_SetGamepadLED - Update a gamepad's LED color.

SYNOPSIS
#include <SDL3/SDL_gamepad.h>

bool SDL_SetGamepadLED(SDL_Gamepad *gamepad, Uint8 red, Uint8 green, Uint8 blue);

DESCRIPTION
An example of a joystick LED is the light on the back of a PlayStation 4's DualShock 4 controller.

For gamepads with a single color LED, the maximum of the RGB values will be used as the LED brightness.

FUNCTION PARAMETERS

gamepad
    the gamepad to update.

red the intensity of the red LED.

green
    the intensity of the green LED.

blue
    the intensity of the blue LED.

RETURN VALUE
for more information.

AVAILABILITY
This function is available since SDL 3.2.0.